local mon = require("#monocle")
local crt = mon.Entity()

function onBegin()

    if not (getFlag("ozma_climb_dunes")) then
        local lvl = getLevel()
        lvl:add(crt)

        player.ForceCameraUpdate = true
        makeUnskippable()
        disableMovement()
        setFlag("ozma_climb_cutscene",true)
        wait(0.75)

        setFlag("ozma_climb_dunes",true)
        player.ForceCameraUpdate = false
        crt:add(mon.Coroutine(celeste.CutsceneEntity.CameraTo(vector2(-773,-155),8)))
        wait(4)

        playMusic("event:/huntingbears")
        wait(6)
        setFlag("ozma_climb_camreturn1",true)
        setFlag("ozma_climb_cutscene",false)
        enableMovement()
    end
end